aboutsummaryrefslogtreecommitdiffstats
path: root/main/gtkmm/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-29 16:03:35 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-29 16:03:35 +0000
commitf6723fe78a8b7ad141c619908bcd809abe43b78d (patch)
tree109de25c6ec5f7695e45255ad6d8d6f5e203ef86 /main/gtkmm/APKBUILD
parentcde4c288fb31f74d2401cef0558ab3c56ada33ca (diff)
downloadaports-f6723fe78a8b7ad141c619908bcd809abe43b78d.tar.gz
aports-f6723fe78a8b7ad141c619908bcd809abe43b78d.tar.bz2
aports-f6723fe78a8b7ad141c619908bcd809abe43b78d.tar.xz
main/[various]: update config.sub
Diffstat (limited to 'main/gtkmm/APKBUILD')
-rw-r--r--main/gtkmm/APKBUILD10
1 files changed, 8 insertions, 2 deletions
diff --git a/main/gtkmm/APKBUILD b/main/gtkmm/APKBUILD
index c2422dc465..2a8435a69c 100644
--- a/main/gtkmm/APKBUILD
+++ b/main/gtkmm/APKBUILD
@@ -12,8 +12,14 @@ depends_dev="atkmm-dev gtk+-dev glibmm-dev pangomm-dev"
subpackages="$pkgname-dev"
source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/gtkmm-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -23,7 +29,7 @@ build() {
}
package() {
- cd "$srcdir"/gtkmm-$pkgver
+ cd "$_builddir"
make install DESTDIR="$pkgdir" || return 1
rm "$pkgdir"/usr/lib/*.la
}